This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90982 - audigy oops in rhl8.0 kernel errata
audigy oops in rhl8.0 kernel errata
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 22:53 EDT by d. johnson
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 06:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d. johnson 2003-05-15 22:53:45 EDT
Description of problem:
Kernel oops.

Version-Release number of selected component (if applicable):
Red Hat 8 + errata, including kernel-2.4.20-13.8

How reproducible:
Load the audigy module under kernel-2.4.20-13.8

Steps to Reproduce:
1. 'modprobe audigy'
2. ...
3. Oops
    
Actual results:

[-- Attachment #2 [details]: lsmod.out --]
Module                  Size  Used by    Not tainted
lp                      8804   0  (autoclean)
parport                37024   0  (autoclean) [lp]
nfsd                   79792   8  (autoclean)
nfs                    80056   1  (autoclean)
lockd                  58416   1  (autoclean) [nfsd nfs]
sunrpc                 81468   1  (autoclean) [nfsd nfs lockd]
8139too                18120   1
mii                     4008   0  [8139too]
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14648   1  [iptable_filter]
ohci1394               19752   0  (unused)
ieee1394               48844   0  [ohci1394]
scanner                11736   0  (unused)
ov511                  81600   0
videodev                8352   1  [ov511]
loop                   12088   0  (autoclean)
mousedev                5460   0  (unused)
keybdev                 2912   0  (unused)
hid                    21988   0  (unused)
input                   5856   0  [mousedev keybdev hid]
usb-uhci               26092   0  (unused)
ehci-hcd               19816   0  (unused)
usbcore                78240   1  [scanner ov511 hid usb-uhci ehci-hcd]
ext3                   70112   7
jbd                    51572   7  [ext3]
lvm-mod                63488  13

[-- Attachment #4 [details]: oops.txt --]
May 15 21:30:27 freyja kernel: Creative EMU10K1 PCI Audio Driver, version 0.19a,
+12:12:50 May 12 2003
May 15 21:30:27 freyja kernel: PCI: Found IRQ 5 for device 00:0a.0
May 15 21:30:27 freyja kernel: PCI: Sharing IRQ 5 with 00:10.1
May 15 21:30:27 freyja kernel: emu10k1: Audigy rev 3 model 0x0051 found, IO at
+0xd000-0xd01f, IRQ 5
May 15 21:30:27 freyja kernel: Unable to handle kernel NULL pointer dereference at
+virtual address 00000000
May 15 21:30:27 freyja kernel:  printing eip:
May 15 21:30:27 freyja kernel: 00000000
May 15 21:30:27 freyja kernel: *pde = 00000000
May 15 21:30:27 freyja kernel: Oops: 0000
May 15 21:30:27 freyja kernel: audigy ac97_codec sound soundcore lp parport nfsd nfs
+lockd sunrpc 8139too mii iptable_filter ip_tables ohci1394 ieee1394 scanner ov511
+videodev loop mousedev
May 15 21:30:27 freyja kernel: CPU:    0
May 15 21:30:27 freyja kernel: EIP:    0010:[<00000000>]    Not tainted
May 15 21:30:27 freyja kernel: EFLAGS: 00010286
May 15 21:30:27 freyja kernel:
May 15 21:30:27 freyja kernel: EIP is at [unresolved] (2.4.20-13.8)
May 15 21:30:27 freyja kernel: eax: 00000000   ebx: f64d8000   ecx: f8a83a55   edx:
+f8a83a47
May 15 21:30:27 freyja kernel: esi: f64dc0a0   edi: 00000000   ebp: 00000000   esp:
+f5f4fe24
May 15 21:30:27 freyja kernel: ds: 0018   es: 0018   ss: 0018
May 15 21:30:27 freyja kernel: Process modprobe (pid: 1385, stackpage=f5f4f000)
May 15 21:30:27 freyja kernel: Stack: f8a99d61 f64dc0a0 00000000 00000000 00000000
+00000000 f8a8339f f8a84940
May 15 21:30:27 freyja kernel:        f8ab15a0 ffffffff f64d8000 f64dc0a0 00000000
+00000000 f8aa4572 f64dc0a0
May 15 21:30:27 freyja kernel:        ffffffff f5f4fe74 00000000 c34931c0 76697264
+652f7265 3031756d 302f316b
May 15 21:30:27 freyja kernel: Call Trace:   [<f8a99d61>] ac97_probe_codec_R83a75e83
+[ac97_codec] 0x21 (0xf5f4fe24))
May 15 21:30:27 freyja kernel: [<f8a8339f>] register_sound_mixer_Rbe2a1324
+[soundcore] 0x3f (0xf5f4fe3c))
May 15 21:30:27 freyja kernel: [<f8a84940>] chains [soundcore] 0x0 (0xf5f4fe40))
May 15 21:30:27 freyja kernel: [<f8ab15a0>] emu10k1_mixer_fops [audigy] 0x0
+(0xf5f4fe44))
May 15 21:30:27 freyja kernel: [<f8aa4572>] emu10k1_mixer_init [audigy] 0x82
+(0xf5f4fe5c))
May 15 21:30:27 freyja kernel: [<f8aa8e0d>] emu10k1_probe [audigy] 0x2bd
+(0xf5f4fe9c))
May 15 21:30:27 freyja kernel: [<f8ab13dc>] emu10k1_pci_tbl [audigy] 0x1c
+(0xf5f4fed0))
May 15 21:30:27 freyja kernel: [<f8ab1420>] emu10k1_pci_driver [audigy] 0x0
+(0xf5f4fed4))
May 15 21:30:27 freyja kernel: [<c01cb7b5>] pci_announce_device [kernel] 0x35
+(0xf5f4fedc))
May 15 21:30:27 freyja kernel: [<f8ab13dc>] emu10k1_pci_tbl [audigy] 0x1c
+(0xf5f4fee4))
May 15 21:30:27 freyja kernel: [<f8ab1420>] emu10k1_pci_driver [audigy] 0x0
+(0xf5f4feec))
May 15 21:30:27 freyja kernel: [<c01cb84c>] pci_register_driver [kernel] 0x5c
+(0xf5f4fef8))
May 15 21:30:27 freyja kernel: [<f8ab1420>] emu10k1_pci_driver [audigy] 0x0
+(0xf5f4fefc))
May 15 21:30:27 freyja kernel: [<f8aa8fcf>] init_module [audigy] 0x1f (0xf5f4ff10))
May 15 21:30:27 freyja kernel: [<f8ab1420>] emu10k1_pci_driver [audigy] 0x0
+(0xf5f4ff14))
May 15 21:30:27 freyja kernel: [<c011b8e2>] sys_init_module [kernel] 0x4d2
+(0xf5f4ff1c))
May 15 21:30:27 freyja kernel: [<f8a9e060>]
+__insmod_audigy_O/lib/modules/2.4.20-13.8/kernel/drivers/sound/audigy/audigy.o_M3EBF+C8C7_V132116
[audigy] 0x60 (0xf5f4ff20))
May 15 21:30:27 freyja kernel: [<f8aae70c>] .kmodtab [audigy] 0x0 (0xf5f4ff2c))
May 15 21:30:27 freyja kernel: [<f8a9e060>]
+__insmod_audigy_O/lib/modules/2.4.20-13.8/kernel/drivers/sound/audigy/audigy.o_M3EBF+C8C7_V132116
[audigy] 0x60 (0xf5f4ff58))
May 15 21:30:27 freyja kernel: [<c0108dff>] system_call [kernel] 0x33 (0xf5f4ffc0))
May 15 21:30:27 freyja kernel:
May 15 21:30:27 freyja kernel:
May 15 21:30:27 freyja kernel: Code:  Bad EIP value.
May 15 21:30:42 freyja su(pam_unix)[1386]: session opened for user root by
+dj(uid=500)

[-- Attachment #3 [details]: lsmod2.out --]
Module                  Size  Used by    Not tainted
audigy                 79336   1  (initializing)
ac97_codec             14568   0  [audigy]
sound                  73428   0  [audigy]
soundcore               6532   5  [audigy sound]
lp                      8804   0  (autoclean)
parport                37024   0  (autoclean) [lp]
nfsd                   79792   8  (autoclean)
nfs                    80056   1  (autoclean)
lockd                  58416   1  (autoclean) [nfsd nfs]
sunrpc                 81468   1  (autoclean) [nfsd nfs lockd]
8139too                18120   1
mii                     4008   0  [8139too]
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14648   1  [iptable_filter]
ohci1394               19752   0  (unused)
ieee1394               48844   0  [ohci1394]
scanner                11736   0  (unused)
ov511                  81600   0
videodev                8352   1  [ov511]
loop                   12088   0  (autoclean)
mousedev                5460   0  (unused)
keybdev                 2912   0  (unused)
hid                    21988   0  (unused)
input                   5856   0  [mousedev keybdev hid]
usb-uhci               26092   0  (unused)
ehci-hcd               19816   0  (unused)
usbcore                78240   1  [scanner ov511 hid usb-uhci ehci-hcd]
ext3                   70112   7
jbd                    51572   7  [ext3]
lvm-mod                63488  13






Expected results:
It should load.

Additional info:
The above is the output of:
 lsmod
 modprobe audigy
 [oops goes here]
 lsmod

Please let me know if you need any additional information.
Comment 1 Ken Bass 2003-05-16 16:06:58 EDT
This also occurs in the latest Redhat 9.0 errata. I am using an AUDIGY. This
driver did not 'Oops' in 2.4.20-9.

On my machine:
May 16 15:31:05 kbass kernel: Creative EMU10K1 PCI Audio Driver, version 0.19a,
11:00:57 May 12 2003
May 16 15:31:05 kbass kernel: PCI: Found IRQ 9 for device 02:0d.0
May 16 15:31:05 kbass kernel: emu10k1: Audigy rev 3 model 0x0051 found, IO at
0xb400-0xb41f, IRQ 9
May 16 15:31:05 kbass kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
May 16 15:31:05 kbass kernel:  printing eip:
May 16 15:31:05 kbass kernel: 00000000
May 16 15:31:05 kbass kernel: *pde = 00000000
May 16 15:31:05 kbass kernel: Oops: 0000
May 16 15:31:05 kbass kernel: audigy ac97_codec sound soundcore agpgart nvidia
binfmt_misc autofs bcm4400 ohci1394 ieee1394 st loop lvm-mod keybdev mousedev
hid input ehci-hcd usbcore ext3
May 16 15:31:05 kbass kernel: CPU:    0
May 16 15:31:05 kbass kernel: EIP:    0060:[<00000000>]    Tainted: P
May 16 15:31:05 kbass kernel: EFLAGS: 00010286
May 16 15:31:05 kbass kernel:
May 16 15:31:05 kbass modprobe: modprobe: Can't locate module sound-service-0-3
May 16 15:31:05 kbass kernel: EIP is at [unresolved] (2.4.20-13.9)
May 16 15:31:05 kbass kernel: eax: f9af1c00   ebx: f6140000   ecx: f9ad0a15  
edx: f9ad0a07
May 16 15:31:05 kbass kernel: esi: f61440a0   edi: f9af1c40   ebp: 00000000  
esp: f614fe24
May 16 15:31:05 kbass kernel: ds: 0068   es: 0068   ss: 0068
May 16 15:31:05 kbass kernel: Process modprobe (pid: 1072, stackpage=f614f000)
May 16 15:31:05 kbass kernel: Stack: f9ae7d61 f61440a0 00000000 00000000
00000000 00000000 f9ad038f f9ad18c0
May 16 15:31:05 kbass kernel:        f9aff580 ffffffff f6140000 f61440a0
f9af1c40 00000000 f9af26f6 f61440a0
May 16 15:31:05 kbass kernel:        ffffffff f614fe74 00000000 f6000980
76697264 652f7265 3031756d 302f316b
May 16 15:31:05 kbass kernel: Call Trace:   [<f9ae7d61>]
ac97_probe_codec_R83a75e83 [ac97_codec] 0x21 (0xf614fe24))
May 16 15:31:05 kbass kernel: [<f9ad038f>] register_sound_mixer_R2da56db7
[soundcore] 0x3f (0xf614fe3c))
May 16 15:31:05 kbass kernel: [<f9ad18c0>] chains [soundcore] 0x0 (0xf614fe40))
May 16 15:31:05 kbass kernel: [<f9aff580>] emu10k1_mixer_fops [audigy] 0x0
(0xf614fe44))
May 16 15:31:05 kbass kernel: [<f9af1c40>] emu10k1_ac97_write [audigy] 0x0
(0xf614fe54))
May 16 15:31:05 kbass kernel: [<f9af26f6>] emu10k1_mixer_init [audigy] 0x86
(0xf614fe5c))
May 16 15:31:05 kbass kernel: [<f9af6da4>] emu10k1_probe [audigy] 0x2c4
(0xf614fe9c))
May 16 15:31:05 kbass kernel: [<f9aff3bc>] emu10k1_pci_tbl [audigy] 0x1c
(0xf614fed0))
May 16 15:31:05 kbass kernel: [<f9aff400>] emu10k1_pci_driver [audigy] 0x0
(0xf614fed4))
May 16 15:31:05 kbass kernel: [<c01d5385>] pci_announce_device [kernel] 0x35
(0xf614fedc))
May 16 15:31:05 kbass kernel: [<f9aff3bc>] emu10k1_pci_tbl [audigy] 0x1c
(0xf614fee4))
May 16 15:31:05 kbass kernel: [<f9aff400>] emu10k1_pci_driver [audigy] 0x0
(0xf614feec))
May 16 15:31:05 kbass kernel: [<c01d542c>] pci_register_driver [kernel] 0x5c
(0xf614fef8))
May 16 15:31:05 kbass kernel: [<f9aff400>] emu10k1_pci_driver [audigy] 0x0
(0xf614fefc))
May 16 15:31:05 kbass kernel: [<f9af6f6f>] init_module [audigy] 0x1f (0xf614ff10))
May 16 15:31:05 kbass kernel: [<f9aff400>] emu10k1_pci_driver [audigy] 0x0
(0xf614ff14))
May 16 15:31:05 kbass kernel: [<c011d571>] sys_init_module [kernel] 0x4e1
(0xf614ff1c))
May 16 15:31:05 kbass kernel: [<f9aec060>] emu10k1_audio_read [audigy] 0x0
(0xf614ff20))
May 16 15:31:05 kbass kernel: [<f9afc6ec>] .kmodtab [audigy] 0x0 (0xf614ff2c))
May 16 15:31:05 kbass kernel: [<f9aec060>] emu10k1_audio_read [audigy] 0x0
(0xf614ff58))
May 16 15:31:05 kbass kernel: [<c010953f>] system_call [kernel] 0x33 (0xf614ffc0))
May 16 15:31:05 kbass kernel:
May 16 15:31:05 kbass kernel:
May 16 15:31:05 kbass kernel: Code:  Bad EIP value.

Comment 2 Arjan van de Ven 2003-06-03 06:16:19 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html

Note You need to log in before you can comment on or make changes to this bug.